import * as React from 'react';
import Tabs from '@mui/material/Tabs';
import Tab from '@mui/material/Tab';
import Box from '@mui/material/Box';

export default function ScrollableTabsButtonAuto(props) {
  const [value, setValue] = React.useState(0);

  const handleChange = (event, newValue) => {
    setValue(newValue);
    props.selectTab(newValue-1);
  };

  React.useEffect(()=>{
    setValue(props.tabIndex);
  }, [props.tabIndex]);

  
  return (
    <Box
      sx={{ bgcolor: '#eff3f6', display: 'flex', justifyContent:'center', marginBottom: 2 }}
    >
      <Tabs
        value={value}
        onChange={handleChange}
        variant="scrollable"
        scrollButtons="auto"
        //allowScrollButtonsMobile
        aria-label="scrollable auto tabs example"        
        TabIndicatorProps={{hidden:true}}
        sx={props.tabIndex===0?{
          "& button":{alignItems:'center !important', maxHeight: "35px", minWidth: '70px !important', minHeight: '35px !important', marginRight:1, paddingTop:0.5, paddingLeft:1, paddingRight:1, borderRadius: 2, borderWidth: 1, borderColor: '#CCC', borderStyle: 'solid'},
          "& button:hover":{backgroundColor: '#fff'}, 
          "& button.Mui-selected":{backgroundColor: '#ffd25d', alignItems:'center !important', minWidth: '70px !important', minHeight: '25px !important', marginRight:1, paddingTop:0.5, borderRadius: 2, borderWidth: 1, borderColor: '#CCC', borderStyle: 'solid'},
          "& svg":{fontSize: '2rem',marginTop: 0.3},
        }:
        {
          "& button":{alignItems:'center !important', maxHeight: "35px", minWidth: '70px !important', minHeight: '35px !important', marginRight:1, paddingTop:1, paddingLeft:1, paddingRight:1, borderRadius: 2, borderWidth: 1, borderColor: '#CCC', borderStyle: 'solid'},
          "& button:hover":{backgroundColor: '#fff'}, 
          "& button.Mui-selected":{backgroundColor: '#ffd25d', alignItems:'center !important', minWidth: '70px !important', minHeight: '25px !important', marginRight:1, paddingTop:1, borderRadius: 2, borderWidth: 1, borderColor: '#CCC', borderStyle: 'solid'},
          "& svg":{fontSize: '2rem',marginTop: 0.3},
        }
      }        
      >
        <Tab label="Overview" />
        {
          props.tabs?props.tabs.map((myObj,i)=>(
            <Tab key={'tb'+i} label={myObj.heading} />
          )):null         

        }
      </Tabs>
    </Box>
  );
}