import React from "react";

// Styles
import styles from "./ExamCategories.module.css";

// Components
import ExamCard from "../Common/ExamCard/ExamCard";

const upcomingExams = [
    {
        name: "Engineering",
        url: "/courses/engineering",
        image: "/jee.png",
    },
    {
        name: "Medical",
        url: "/courses/medical",
        image: "/jee.png",
    },
    {
        name: "CUET",
        url: "/courses/cuet",
        image: "/jee.png",
    },
    {
        name: "Management",
        url: "/courses/management",
        image: "/jee.png",
    },
    {
        name: "MCA",
        url: "/courses/mca",
        image: "/jee.png",
    },
    {
        name: "Law",
        url: "/courses/law",
        image: "/jee.png",
    },
    {
        name: "NIFT",
        url: "/courses/nift",
        image: "/jee.png",
    },
    {
        name: "Defence",
        url: "/courses/defence",
        image: "/jee.png",
    },
    {
        name: "UPSC",
        url: "/courses/upsc",
        image: "/jee.png",
    },
    {
        name: "SSC",
        url: "/courses/ssc",
        image: "/jee.png",
    },
    {
        name: "Bank SO",
        url: "/courses/bank-so",
        image: "/jee.png",
    },
    {
        name: "Bank PO",
        url: "/courses/bank-po",
        image: "/jee.png",
    },
    {
        name: "Bank Clerk",
        url: "/courses/bank-clerk",
        image: "/jee.png",
    },
    {
        name: "RBI",
        url: "/courses/rbi",
        image: "/jee.png",
    },
    {
        name: "NABARD",
        url: "/courses/nabard",
        image: "/jee.png",
    },
    {
        name: "Insurance",
        url: "/courses/insurance",
        image: "/jee.png",
    },
    {
        name: "State PCS",
        url: "/courses/state-pcs",
        image: "/jee.png",
    },
    {
        name: "School Exams",
        url: "/courses/school-exam",
        image: "/jee.png",
    },
    {
        name: "Other Exams",
        url: "/courses/other-exams",
        image: "/jee.png",
    },
    {
        name: "CBSE",
        url: "/courses/cbse",
        image: "/jee.png",
    }
]

const ExamCategories = () => {
  return (
    <div className={`${styles.categories_background}`}>
      {/* --------------------- Circles ---------------------- */}
      <div className={`${styles.circle1}`}></div>
      <div className={`${styles.circle2}`}></div>
      <div className={`${styles.circle3}`}></div>
      {/* ------------------- Circles end ---------------------- */}

      {/* Component */}
      <div className={`${styles.categories_content}`}>
        <h2>Exam Categories</h2>
        <div className={`${styles.exam_cards}`}>
          {upcomingExams?.map((item, key) => {
            return <ExamCard item={item} key={key} background="#FFF" />;
          })}
        </div>
      </div>
    </div>
  );
};

export default ExamCategories;
