import React from 'react';
import PropTypes from 'prop-types';
import { makeStyles } from '@material-ui/core/styles';
import { AppBar, Tabs, Tab, Box, Link, Card} from '@material-ui/core';
import { width } from '@mui/system';

function TabPanel(props) {
  const { children, value, index, ...other } = props;

  return (
        <div
          role="tabpanel"
          hidden={value !== index}
          id={`scrollable-auto-tabpanel-${index}`}
          aria-labelledby={`scrollable-auto-tab-${index}`}
          {...other}
        >
          {value === index && (
            <Box mt={2}>
              <h4 style={{textAlign:'center'}} >{children}</h4>
            </Box>
          )}
        </div>
  );
}

TabPanel.propTypes = {
  children: PropTypes.node,
  index: PropTypes.any.isRequired,
  value: PropTypes.any.isRequired,
};

const useStyles = makeStyles((theme) => ({
  root: {
    flexGrow: 1,
    width: '100%',
  },
}));

export default function ScrollableTabsButtonAuto() {
  const classes = useStyles();

  const data = [{
    course: 'Engineering',
    exam: 'JEE-MAIN',
    img: '/map.webp',
    link: '/course/jee-main'
  },
  {
    course: 'Engineering',
    exam: 'JEE-ADVANCED',
    img: '/map.webp',
    link: '/course/jee-advanced'
  },
  {
    course: 'Medical',
    exam: 'NEET-UG',
    img: '/medical.webp',
    link: '/course/neet-ug'
  },
  {
    course: 'Medical',
    exam: 'NEET-PG',
    img: '/medical.webp',
    link: '/course/neet-pg'
  }];

  return (
    <div className={classes.root} style={{display: 'flex' , flexWrap: 'wrap', gap:'1rem', justifyContent: 'center'}}>
      {
        data.map((el, key) => {
          return <Box key={key} onClick={()=>{window.location=el.link}} sx={{ cursor: 'pointer', width: "255px", display:'flex', flexDirection: 'column', bgcolor: 'white', p:'2rem', borderRadius: '1rem'}}>
            <h4 style={{fontSize: '1rem', color:"#093561"}}>{el.course}</h4>
            <h5 style={{fontSize:'1.5rem', color:"#093561"}}>{el.exam}</h5>
            <img  style={{alignSelf:'center',margin:'1rem 0', maxWidth:"100px"}} alt="image ETL" src={el.img} width={100} height={100} />
            <a style={{alignSelf:'center'}} href={el.link} className="btn sellerbt ">view details</a>
          </Box>
        })
      }
    </div>

  );
}
