import React from "react";
import Head from "next/head";
import axios from "axios";
import FormControlLabel from "@mui/material/FormControlLabel";
import CircularProgress from "@mui/material/CircularProgress";
import Checkbox from "@mui/material/Checkbox";
// import InputLabel from '@mui/material/InputLabel';
// import MenuItem from '@mui/material/MenuItem';
import FormControl from "@mui/material/FormControl";
import NativeSelect from "@mui/material/NativeSelect";
// import Select from '@mui/material/Select';
import { makeStyles } from "@material-ui/core/styles";
import { Box, Grid, TextField } from "@material-ui/core";
import Header from "../components/Header";
import Footer from "../components/Footer";
import FormHelperText from "@mui/material/FormHelperText";
import Cookies from "js-cookie";
import { SCHOOL_LIST } from "../utils/SchoolsList";

const useStyles = makeStyles((theme) => ({
  sectionDesktop: {
    display: "none",
    [theme.breakpoints.up("md")]: {
      display: "block",
    },
  },
  sectionMobile: {
    display: "block",
    [theme.breakpoints.up("md")]: {
      display: "none",
    },
  },
}));

export default function Home(props) {
  const newaccount = Cookies.get("newaccount");
  const classes = useStyles();
  const [waitBtn, setWaitBtn] = React.useState(false);
  const [checked, setChecked] = React.useState(false);
  const [firstName, setFirstName] = React.useState("");
  const [lastName, setLastName] = React.useState("");
  const [mobileNumber, setMobileNumber] = React.useState("");
  //const [schoolId, setSchoolId] = React.useState(0);
  const [schoolName, setSchoolName] = React.useState("");

  const [newPassword, setNewPassword] = React.useState("");
  const [retypeNewPassword, setRetypeNewPassword] = React.useState("");
  const [newPasswordMsg, setNewPasswordMsg] = React.useState("");
  const [retypeNewPasswordMsg, setRetypeNewPasswordMsg] = React.useState("");

  const [firstNameVal, setFirstNameVal] = React.useState(false);
  const [lastNameVal, setLastNameVal] = React.useState(false);
  const [mobileVal, setMobileVal] = React.useState(false);
  const [schoolVal, setSchoolVal] = React.useState(false);
  const [zoneVal, setZoneVal] = React.useState(false);
  const [termsVal, setTermsVal] = React.useState(false);
  const [mobileValMsg, setMobileValMsg] = React.useState(
    "Enter your mobile number"
  );
  const [firstNameValMsg, setFirstNameValMsg] = React.useState(
    "Enter your first name"
  );
  const [lastNameValMsg, setLastNameValMsg] = React.useState(
    "Enter your last name"
  );
  const [schoolValMsg, setSchoolValMsg] = React.useState("Select school");
  const [zoneValMsg, setZoneValMsg] = React.useState("Select zone");

  const [utype, setUtype] = React.useState("Learner");

  const [schoolZoneList, setSchoolZoneList] = React.useState([]);
  const [schoolList, setSchoolList] = React.useState([]);
  const [schoolZone, setSchoolZone] = React.useState("");

  const [courseId, setCourseId] = React.useState(77);
  const [className, setClassName] = React.useState("Class XI or XII");

  const CLASS_LIST = [
    { courseId: 136, className: "Class IX" },
    { courseId: 137, className: "Class X" },
    { courseId: 77, className: "Class XI or XII" },
  ];

  function handleClassName(val) {
    let valArr = val.split("#");
    setCourseId(parseInt(valArr[0]));
    setClassName(valArr[1]);
  }

  React.useEffect(() => {
    const urlParams = new URLSearchParams(location.search);
    if (urlParams.has("u")) {
      setUtype(urlParams.get("u"));
    }
    if (SCHOOL_LIST && SCHOOL_LIST.length > 0) {
      let schoolZoneArr = [];
      let schoolZoneAArr = [];
      for (let i = 0; i < SCHOOL_LIST.length; i++) {
        if (schoolZoneAArr.indexOf(SCHOOL_LIST[i].zone) == -1) {
          schoolZoneAArr.push(SCHOOL_LIST[i].zone);
          schoolZoneArr.push(SCHOOL_LIST[i]);
        }
      }
      setSchoolZoneList(schoolZoneArr);
    }
  }, []);

  function getSchoolList(zone) {
    setSchoolZone(zone);
    if (SCHOOL_LIST && SCHOOL_LIST.length > 0) {
      let schoolArr = [];
      for (let i = 0; i < SCHOOL_LIST.length; i++) {
        if (SCHOOL_LIST[i].zone == zone) {
          schoolArr.push(SCHOOL_LIST[i]);
        }
      }
      setSchoolList(schoolArr);
    }
  }

  React.useEffect(() => {
    if (newaccount) {
      const obj = JSON.parse(newaccount);
      setFirstName(obj.firstName);
      setLastName(obj.lastName);
      setMobileNumber(obj.mobile);
      setUtype(obj.utype);
      setChecked(true);
    }
  }, [newaccount]);

  function submit() {
    let letters = /^[A-Za-z\s]*$/;
    if (!firstName || firstName.trim().length < 1) {
      if (firstName) {
        setFirstName(firstName.trim());
      }
      setFirstNameVal(true);
      setFirstNameValMsg("Enter your first name");
    } else if (
      firstName &&
      firstName.trim().length > 0 &&
      !firstName.trim().match(letters)
    ) {
      setFirstNameVal(true);
      setFirstNameValMsg("It seems, first name is not valid");
    } else {
      setFirstName(firstName.trim());
      setFirstNameVal(false);
    }
    if (!lastName || lastName.trim().length < 1) {
      if (lastName) {
        setLastName(lastName.trim());
      }
      setLastNameVal(true);
      setLastNameValMsg("Enter your last name");
    } else if (
      lastName &&
      lastName.trim().length > 0 &&
      !lastName.trim().match(letters)
    ) {
      setLastNameVal(true);
      setLastNameValMsg("It seems, last name is not valid");
    } else {
      setLastName(lastName.trim());
      setLastNameVal(false);
    }
    if (!mobileNumber || mobileNumber.trim().length < 1) {
      if (mobileNumber) {
        setMobileNumber(mobileNumber.trim());
      }
      setMobileVal(true);
      return false;
    } else if (mobileNumber && mobileNumber.length < 10) {
      setMobileVal(true);
      setMobileValMsg("Mobile number is invalid");
      return false;
    } else {
      setMobileVal(false);
    }
    if (!newPassword) {
      setNewPasswordMsg("Enter your password");
      return false;
    } else if (
      newPassword &&
      !newPassword
        .trim()
        .match(/^(?=.*[0-9])(?=.*[!@#$%^&*])[a-zA-Z0-9!@#$%^&*]{8,20}$/)
    ) {
      setNewPasswordMsg(
        "Must contain at least one number and one uppercase and lowercase letter and one special character, and at least 8 or more characters"
      );
      return false;
    } else {
      setNewPasswordMsg("");
    }
    if (!retypeNewPassword) {
      setRetypeNewPasswordMsg("Re-type your password");
      return false;
    } else if (newPassword !== retypeNewPassword) {
      setRetypeNewPasswordMsg("Re-typed password does not match with password");
      return false;
    } else {
      setRetypeNewPasswordMsg("");
    }
    if (!schoolZone || schoolZone.trim().length < 1) {
      setZoneVal(true);
      setZoneValMsg("Select zone");
      return false;
    } else {
      setZoneVal(false);
      setZoneValMsg("");
    }

    if (!schoolName || schoolName.trim().length < 1) {
      if (schoolName) {
        setSchoolName(schoolName.trim());
      }
      setSchoolVal(true);
      setSchoolValMsg("Select school");
      return false;
    } else if (schoolName && schoolName.length < 1) {
      setSchoolVal(true);
      setSchoolValMsg("Select school");
      return false;
    } else {
      setSchoolVal(false);
      setSchoolValMsg("");
    }
    if (!checked) {
      setTermsVal(true);
      return false;
    } else {
      setTermsVal(false);
    }

    if (mobileNumber && firstName && lastName) {
      setWaitBtn(true);
      let axiosHeader = {
        headers: {
          "Content-Type": "multipart/mixed",
        },
      };

      const data = new FormData();
      data.append("mobile", mobileNumber);

      let apiURL = process.env.NEXT_PUBLIC_API_URL + "/checkexistsmobilenumber";
      let apiResponseTxt = "OK";

      axios
        .post(apiURL, data, axiosHeader)
        .then((response) => {
          const myTimeoutWaitBtn = setTimeout(myWaitBtnStop, 6000);
          function myWaitBtnStop() {
            setWaitBtn(false);
            clearTimeout(myTimeoutWaitBtn);
          }
          ///console.log("RESPONSE RECEIVED: ", response.data.responseTxt);
          if (response.data.responseTxt === apiResponseTxt) {
            Cookies.set(
              "newaccount",
              JSON.stringify({
                firstName: firstName,
                lastName: lastName,
                mobile: mobileNumber,
                newPassword: newPassword,
                schoolName: schoolName,
                courseId: courseId,
                className: className,
                token: response.data.token,
              })
            );
            window.location.href = "verify-mobile-school";
            return false;
          } else if (response.data.responseTxt === "MobileExists") {
            setMobileVal(true);
            setMobileValMsg(
              "You already have an account in ETL. Please login in with User ID and Password."
            );
            return false;
          } else {
            setMobileVal(true);
            setMobileValMsg("Error somewhere, Try after sometime.");
            return false;
          }
        })
        .catch((error) => {
          setMobileVal(true);
          setMobileValMsg("" + error);
          return false;
        });
    }
  }

  //   function onEnter(event){
  // 	if(event.key === 'Enter'){
  // 		submit();
  // 	}
  //   }

  function nameOnly(event) {
    if (!/[a-z ]/i.test(event.key)) {
      event.preventDefault();
      return false;
    }
  }
  function numberOnly(event) {
    if (!/[0-9]/.test(event.key)) {
      event.preventDefault();
    }
  }

  function onEnter(event) {
    if (event.key === "Enter") {
      submit();
    }
  }

  //   function goLocation(url){
  // 	window.location.href=url;
  //   }

  return (
    <>
      <Head>
        <title>Get My Study Room for Free | EaseToLearn</title>
        <meta name="description" content="Get My Study Room for Free" />
        <meta name="keywords" content="Get My Study Room for Free" />
        <link rel="icon" href="/favicon.ico" />
      </Head>

      <main>
        <Header />

        <Box className="mainBox">
          <Box className="createAccountBox">
            <Grid container>
              <Grid
                item
                md={6}
                sm={6}
                xs={12}
                className={classes.sectionDesktop}
              >
                <img src="/two.png" alt="ETL image" />
              </Grid>
              <Grid item md={6} sm={6} xs={12}>
                <h1>Join MY Study Room For FREE</h1>
                <h4>Delhi Government Schools</h4>
                <Grid className="frmbx">
                  <div style={{ marginBottom: 5 }}>
                    Sign up by filling the form below
                  </div>

                  <Grid container spacing={1}>
                    <Grid item md={6} sm={12} xs={12}>
                      First Name
                      <TextField
                        onChange={(event) => setFirstName(event.target.value)}
                        value={firstName}
                        onKeyPress={(event) => {
                          nameOnly(event);
                        }}
                        fullWidth
                        variant="outlined"
                      />
                      {firstNameVal ? (
                        <FormHelperText>{firstNameValMsg}</FormHelperText>
                      ) : null}
                    </Grid>
                    <Grid item md={6} sm={12} xs={12}>
                      Last Name
                      <TextField
                        onChange={(event) => setLastName(event.target.value)}
                        value={lastName}
                        onKeyPress={(event) => {
                          nameOnly(event);
                        }}
                        fullWidth
                        variant="outlined"
                      />
                      {lastNameVal ? (
                        <FormHelperText>{lastNameValMsg}</FormHelperText>
                      ) : null}
                    </Grid>
                  </Grid>
                  <Grid container spacing={1}>
                    <Grid item md={12} sm={12} xs={12}>
                      Mobile Number
                      <TextField
                        onChange={(event) =>
                          setMobileNumber(event.target.value)
                        }
                        value={mobileNumber}
                        onKeyPress={(event) => {
                          numberOnly(event);
                        }}
                        fullWidth
                        variant="outlined"
                        inputProps={{ maxLength: 10 }}
                      />
                      {mobileVal ? (
                        <FormHelperText>{mobileValMsg}</FormHelperText>
                      ) : null}
                    </Grid>
                    <Grid item md={12} sm={12} xs={12}>
                      New Password
                      <TextField
                        type="password"
                        onChange={(event) => setNewPassword(event.target.value)}
                        value={newPassword}
                        onKeyPress={(event) => {
                          onEnter(event);
                        }}
                        fullWidth
                        variant="outlined"
                      />
                      {newPasswordMsg && newPasswordMsg.length > 0 ? (
                        <FormHelperText>{newPasswordMsg}</FormHelperText>
                      ) : null}
                    </Grid>
                    <Grid item md={12} sm={12} xs={12}>
                      Re-type New Password
                      <TextField
                        type="password"
                        onChange={(event) =>
                          setRetypeNewPassword(event.target.value)
                        }
                        value={retypeNewPassword}
                        onKeyPress={(event) => {
                          onEnter(event);
                        }}
                        fullWidth
                        variant="outlined"
                      />
                      {retypeNewPasswordMsg &&
                      retypeNewPasswordMsg.length > 0 ? (
                        <FormHelperText>{retypeNewPasswordMsg}</FormHelperText>
                      ) : null}
                    </Grid>
                    <Grid item md={12} sm={12} xs={12}>
                      Class
                      <FormControl fullWidth>
                        <NativeSelect
                          variant="outlined"
                          size="small"
                          defaultValue={courseId + "#" + className}
                          onChange={(event) =>
                            handleClassName(event.target.value)
                          }
                          inputProps={{
                            name: "classname",
                            id: "uncontrolled-native",
                          }}
                          style={{ paddingLeft: 10 }}
                        >
                          {CLASS_LIST && CLASS_LIST.length > 0
                            ? CLASS_LIST.map((row, i) => (
                                <option
                                  key={"opt" + i}
                                  value={row.courseId + "#" + row.className}
                                >
                                  {row.className}
                                </option>
                              ))
                            : null}
                        </NativeSelect>
                      </FormControl>
                    </Grid>
                    {courseId === 77 ? (
                      <Grid item md={12} sm={12} xs={12}>
                        Stream
                        <FormControl fullWidth>
                          <NativeSelect
                            variant="outlined"
                            size="small"
                            // defaultValue={schoolZone}
                            // onChange={event => getSchoolList(event.target.value)}
                            inputProps={{
                              name: "school",
                              id: "uncontrolled-native",
                            }}
                            style={{ paddingLeft: 10 }}
                          >
                            <option value={""}>Science</option>
                          </NativeSelect>
                        </FormControl>
                      </Grid>
                    ) : null}
                    <Grid item md={12} sm={12} xs={12}>
                      Delhi Govt School Zone
                      <FormControl fullWidth>
                        <NativeSelect
                          variant="outlined"
                          size="small"
                          defaultValue={schoolZone}
                          onChange={(event) =>
                            getSchoolList(event.target.value)
                          }
                          inputProps={{
                            name: "school",
                            id: "uncontrolled-native",
                          }}
                          style={{ paddingLeft: 10 }}
                        >
                          <option value={""}>Select zone</option>
                          {schoolZoneList && schoolZoneList.length > 0
                            ? schoolZoneList.map((row, i) => (
                                <option key={"opt" + i} value={row.zone}>
                                  Zone: {row.zone}
                                </option>
                              ))
                            : null}
                        </NativeSelect>
                      </FormControl>
                      {zoneVal ? (
                        <FormHelperText>{zoneValMsg}</FormHelperText>
                      ) : null}
                    </Grid>
                    <Grid item md={12} sm={12} xs={12}>
                      Select your school id where you are studing
                      <FormControl fullWidth>
                        <NativeSelect
                          variant="outlined"
                          size="small"
                          defaultValue={schoolName}
                          onChange={(event) =>
                            setSchoolName(event.target.value)
                          }
                          inputProps={{
                            name: "school",
                            id: "uncontrolled-native",
                          }}
                          style={{ paddingLeft: 10 }}
                        >
                          <option value={""}>Select school id</option>
                          {schoolList && schoolList.length > 0
                            ? schoolList.map((row, i) => (
                                <option
                                  key={"opt" + i}
                                  value={
                                    row.schoolId +
                                    " - " +
                                    row.schoolName +
                                    " Zone:" +
                                    row.zone
                                  }
                                >
                                  {row.schoolId} - {row.schoolName}
                                </option>
                              ))
                            : null}
                        </NativeSelect>
                      </FormControl>
                      {schoolVal ? (
                        <FormHelperText>{schoolValMsg}</FormHelperText>
                      ) : null}
                    </Grid>
                    <Grid
                      item
                      md={12}
                      sm={12}
                      xs={12}
                      style={{ paddingLeft: 15 }}
                    >
                      <FormControlLabel
                        control={
                          <Checkbox
                            size="small"
                            checked={checked}
                            onChange={(event) => {
                              setChecked(event.target.checked);
                            }}
                          />
                        }
                        label={""}
                      />{" "}
                      <span style={{ marginLeft: -15 }}>
                        By checking this box, you agree to our
                      </span>
                      <a
                        href="/terms"
                        target="_blank"
                        style={{ color: "#0000FF", marginLeft: 2 }}
                      >
                        Terms of Use
                      </a>
                      {termsVal ? (
                        <FormHelperText>
                          You must be agreed with our terms & conditions
                        </FormHelperText>
                      ) : null}
                    </Grid>
                    <Grid item md={12} sm={12} xs={12}>
                      <div className="paybtnbox">
                        {waitBtn ? (
                          <a className="paybtnwait">
                            <CircularProgress size={13} color={"inherit"} />
                            Wait...
                          </a>
                        ) : (
                          <a
                            href="javscript:;"
                            onClick={() => {
                              submit();
                            }}
                            className="paybtn"
                          >
                            Join for Free
                          </a>
                        )}
                      </div>
                    </Grid>
                    {/* <Grid item md={12} sm={12} xs={12} >
								<div className='paybtnbox' >					
									Already have an account? <a href="/student" >Login</a>
								</div>
							</Grid> */}
                  </Grid>
                </Grid>
              </Grid>
            </Grid>
          </Box>
        </Box>

        <Footer />
      </main>
    </>
  );
}

/*
export async function getServerSideProps() {
	const [specialitiesRes, healthissuesRes, articlesRes] = await Promise.all([		
	  fetch(process.env.NEXT_PUBLIC_API_URL+'/api/specialities?maxrows=6'),
	  fetch(process.env.NEXT_PUBLIC_API_URL+'/api/healthissues?maxrows=6'), 
	  fetch(process.env.NEXT_PUBLIC_API_URL+'/api/articles?maxrows=3')	  
	]);
	const [specialities, healthissues, articles] = await Promise.all([
		specialitiesRes.json(),
		healthissuesRes.json(), 
		articlesRes.json()
	]);
	return { props: { specialities, healthissues, articles } };
}
*/

//   function makeEncodeURL(str){
// 	let strArr = str.toLowerCase().split(" ");
// 	let returnURL="";
// 	for(let i=0; i<strArr.length; i++ ){
// 		returnURL+=strArr[i]+"+";
// 	}
// 	 return returnURL.trim().substring(0,returnURL.length-1);
//   }
