import React from "react";
import Header from "../../components/Header";
import Footer from "../../components/Footer";
import Favicon from "../../client/Favicon";
import Schema from "../../client/Schema";
import Head from "next/head";

// CSS
import styles from "./Download.module.css";

function download() {
  return (
    <>
      <Head>
        <title>
          Download Our App | India`s Largest Free Learning Platform |
          EaseToLearn
        </title>
        <link rel="canonical" href="https://easetolearn.com/download" />
        <meta
          name="description"
          content="Do more with the EaseToLearn android app. Download lessons and learn anytime, anywhere. All within the grasp of your fingertips!"
        />
        <meta
          name="keywords"
          content="Download App, Android App, EaseToLearn, ETL, Lessons, Offline video, learn anywhere, exams prep, courses, learn, competitive exams, preparation, App"
        />
        <meta property="og:title" content="Download the EaseToLearn App" />
        <meta
          property="og:decription"
          content="Do more with the EaseToLearn android app. Download lessons and learn anytime, anywhere. All within the grasp of your fingertips!"
        />
        <meta property="og:url" content="https://easetolearn.com/download" />
        <meta property="og:image:width" content="500" />
        <meta property="og:image:height" content="500" />
        <meta name="twitter:title" content="Download the EaseToLearn App" />
        <meta
          property="twitter:decription"
          content="Do more with the EaseToLearn android app. Download lessons and learn anytime, anywhere. All within the grasp of your fingertips!"
        />
        <meta name="twitter:site" content="@easetolearn" />
        <meta
          property="og:image"
          content="https://media.easetolearn.com/CompanyLogo.png"
        />
        <meta
          property="twitter:image"
          content="https://media.easetolearn.com/CompanyLogo.png"
        />
        <meta property="twitter:image:width" content="500" />
        <meta property="twitter:image:height" content="500" />
        <Schema />
        <script
          type="application/ld+json"
          dangerouslySetInnerHTML={{
            __html: `{
              "@context":"https://schema.org/",
              "@type":"MobileApplication",
              "name":"EaseToLearn Mobile App",
              "applicationCategory":"Education",
              "keywords":"Android app, android, app, educational app, education, courses, free courses, learn offine, download videos",
              "countryOfOrigin":"India",
              "downloadUrl":"https://play.google.com/store/apps/details?id=com.easetolearn.indiaexampreparation",
              "installUrl":"https://play.google.com/store/apps/details?id=com.easetolearn.indiaexampreparation",
              "operatingSystem":"Android",
              "aggregateRating":{
                  "@type": "AggregateRating",
                  "bestRating":"5",
                  "ratingCount":"44",
                  "ratingValue":"4"
              }
            }`,
          }}
        />
        <Favicon />
      </Head>

      <main>
        <Header />
        <h1 className={`${styles?.download_heading}`}>
          Download The EaseTolearn App Now!
        </h1>
        <article>
          <div className="dl-left">
            <img
              className={styles.download_image}
              src="./mobileapp.webp"
              width={400}
              height={400}
              alt="Download Image ETL"
            />
          </div>

          <a
            href="https://play.google.com/store/apps/details?id=com.easetolearn.indiaexampreparation"
            target="_blank"
          >
            <img
            className={styles?.downloadQr}
              src="./qrcode.png"
              width={200}
              height={200}
              alt="QRCode ETL"
            />
            <img
              src="https://static.whatsapp.net/rsrc.php/v3/yd/r/psA1TtmLqiU.png"
              alt="download play store ETL"
            ></img>
          </a>
        </article>
        <Footer />
      </main>
    </>
  );
}

export default download;
