import React from 'react';
import Head from 'next/head';
//import Image from 'next/image';
//import fetch from 'isomorphic-unfetch';
import { makeStyles } from '@material-ui/core/styles';
//import {Box, Container, Grid, Link, Button} from '@material-ui/core';
import Header from "../components/Header";
import Footer from "../components/Footer";
import TabsHomeBlogs from "../components/TabsHomeBlogs";
import TabsHomeCourses from "../components/TabsHomeCourses"; 
import TabsHomeTestimonial from "../components/TabsHomeTestimonial";
//import { FontAwesomeIcon } from '@fortawesome/react-fontawesome'
//import { faStar, faSearch, faArrowRight, faBookOpen, faAward, faPlay, faArrowDown } from '@fortawesome/free-solid-svg-icons'
import { useSelector } from 'react-redux';
//import { faCaretRight } from '@fortawesome/free-brands-svg-icons';

const useStyles = makeStyles((theme) => ({
	root: {
		background: 'linear-gradient(45deg, #33ccff 30%, #0000ff 90%)',
		border: 0,
		borderRadius: 22,
		boxShadow: '0 3px 5px 2px rgba(255, 105, 135, .3)',
		color: 'white',
		height: 48,
		padding: '0 30px',
		marginTop: '30px',
	  },
	  sectionDesktop: {
	  display: 'none',
	  [theme.breakpoints.up('md')]: {
		display: 'flex',
	  },
	},
	sectionMobile: {
	  display: 'flex',
	  [theme.breakpoints.up('md')]: {
		display: 'none',
	  },
	},
  }));

export default function Home(props) {
  const cityListing = useSelector(state => state.cityListing);
  const myCity = (cityListing.map(city => (city.name))).toString().toLowerCase();
  const [selectedCity, setCity] = React.useState("delhi");
  const classes = useStyles();

  React.useEffect(() => {
	setCity(myCity);
  });


  return (
    <>
      <Head>
        <title>EaseToLearn - India`s Largest Online Test Series</title>
        <meta name="description" content="Privacy Policy | India`s Largest Learning Platform For Online Exam Preparation For Recruitment & Entrance Exam | Online Test Series | Mock Test" />
        <meta name="keywords" content="Online Tests for Recruitment &amp; Entrance Exams" />
        <link rel="icon" href="/favicon.ico" />
 
      </Head>

      <main>

      <Header />




<div className="mybody" style={{marginTop:30}}>
  
   
  
  
  
  <section className="mycontainer ">
	  <div className="barbox-head color-dark">
		  <h2 className="fixhead">Privacy Policy</h2>
		  <div className="bar bg-dark">
		  </div>
	  </div>
  </section>
  
  <section className="mycontainer relative ">
		<div className='termsContentBox' >
		<p>Collection of Information<br />
		In order to provide you with our online and offline services, we collect your personal information such as your full name, mailing address, e-mail address, telephone number. The personal information is collected only in order to serve you and contact you in connection with services provided by us. When we collect personal information from you it is because you are voluntarily submitting the information to us in order to avail services such as test trials, online testing, discussion forums, contributions and other service/information provided by us on our website <strong>easetolearn.com</strong>.<br />
		<br />
		Use of Information<br />
		We may use information provided by you for billing to subscriber/other users, making payments to contributors and attending to queries, for service enhancement, attending to service issues etc. The information collected is used for our internal use and for contacting/serving you better. None of the information collected is sold or passed to third party.<br />
		<br />
		At present we are using email to contact our existing subscribers. We are not using email to contact other users although we reserve the right to do so in future. If you do not want to receive promotional email, please let us know by sending email to <strong>info@easetolearn.com</strong>.<br />
		<br />
		Purchases using Credit Card<br />
		To facilitate your online purchases, we collect your personal information such as name, address, phone number and email ID and pass on the same information to the Credit Card Service Provider linked to our website. The Credit Card Service Provider further collects information about your credit card number, date of expiration etc and forwards to relevant authorization entity ( Credit Card Company/Bank) for validation. The information on success or failure of your transaction is provided online by the credit card service provider. Please go through provisions privacy policy of Credit Card Service Provider.<br />
		<br />
		Purchases using Net Banking<br />
		To facilitate your online purchases, we collect your personal information such as name, address, phone number and email ID and pass on the same information to Net Banking Service Provider linked to our website. The Net Banking Service Provider further collects information about your bank account number, date of expiration etc and forwards to relevant authorization entity (Bank) for validation. The information on success or failure of your transaction is provided online by Net Banking service provider. Please go through provisions of privacy policy of Net Banking Service Provider.<br />
		<br />
		Our Commitment to Privacy<br />
		EaseToLearn Private Limited is committed to preserve individual privacy rights on the Internet and electronic commerce. ETL Private Limited uses reasonable administrative, technical, personnel and physical measures to safeguard your personal information in its possession against loss, theft and unauthorized use, disclosure or modification.<br />
		<br />
		Privacy Provisions of Linked Internet Sites<br />
		Kindly note that other Internet sites to which you link from www.easetolearn.com may contain privacy provisions that differ from the provisions of our Privacy Policy.</p>
</div>
  </section>
 
  
 
  
		  <div className="margin-bottommin-res">
  
		  </div>
  
  
  
  
		 
							  
									
	  </div>
  
  



      
      <Footer />

	  

      </main>

    </>
  )
}
/*
export async function getServerSideProps() {
	const [specialitiesRes, healthissuesRes, articlesRes] = await Promise.all([		
	  fetch(process.env.NEXT_PUBLIC_API_URL+'/api/specialities?maxrows=6'),
	  fetch(process.env.NEXT_PUBLIC_API_URL+'/api/healthissues?maxrows=6'), 
	  fetch(process.env.NEXT_PUBLIC_API_URL+'/api/articles?maxrows=3')	  
	]);
	const [specialities, healthissues, articles] = await Promise.all([
		specialitiesRes.json(),
		healthissuesRes.json(), 
		articlesRes.json()
	]);
	return { props: { specialities, healthissues, articles } };
}
*/

  function makeEncodeURL(str){
	let strArr = str.toLowerCase().split(" ");
	let returnURL="";
	for(let i=0; i<strArr.length; i++ ){
		returnURL+=strArr[i]+"+";
	}
	 return returnURL.trim().substring(0,returnURL.length-1);
  }	
