function generateSiteMap(list) {
  return `<?xml version="1.0" encoding="UTF-8"?>
   <urlset xmlns="http://www.google.com/schemas/sitemap/0.9" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.google.com/schemas/sitemap/0.9 http://www.google.com/schemas/sitemap/0.9/sitemap.xsd">
 ${list
   .map((row) => {
     return `
       <url>
           <loc>${row.loc}</loc>
           <changefreq>${row.changefreq}</changefreq>
           <lastmod>${row.lastmod}</lastmod>            
           <priority>${row.priority}</priority>
       </url>
     `;
   })
   .join("")}
   </urlset>
 `;
}

function SiteMap() {
  // getServerSideProps will do the heavy lifting
}

export async function getServerSideProps({ res }) {
  // We make an API call to gather the URLs for our site
  //   const request = await fetch(EXTERNAL_DATA_URL);
  //   const posts = await request.json();

  const request = await fetch(
    process.env.NEXT_PUBLIC_API_URL + "/website-sitemap?websiteId=1"
  );
  const myRes = await request.json();

  // We generate the XML sitemap with the posts data
  const sitemap = generateSiteMap(myRes.list);

  res.setHeader("Content-Type", "text/xml");
  // we send the XML to the browser
  res.write(sitemap);
  //res.write(JSON.stringify(myRes.list));
  res.end();

  return {
    props: {},
  };
}

export default SiteMap;
